<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:01 CEST 2021 -->
<title>CarteChance</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CarteChance";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":9,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CarteChance.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../back/Case.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/CarteChance.html" target="_top">Frames</a></li>
<li><a href="CarteChance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class CarteChance" class="title">Class CarteChance</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>back.CarteChance</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CarteChance</span>
extends java.lang.Object</pre>
<div class="block">Classe représentant une carte chance.
 Cette classe permet de créer dynamiquement via la lecture d'un fichier des cartes chance. 
 De plus, lors de son appel un système de probabilité est mit en place, afin de simuler le tirage de carte dans un paquet de carte. 
 Une carte chance est créer à chaque fois qu'un joueur tombe sur une case Chance dans une partie de MonopolyIUT.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Chance.html" title="class in back"><code>Chance</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/CarteChance.html#CarteChance--">CarteChance</a></span>()</code>
<div class="block">Constructeur de la carte chance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getNbCarte--">getNbCarte</a></span>()</code>
<div class="block">Accesseur nbCarte.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getNbEffetTour--">getNbEffetTour</a></span>()</code>
<div class="block">Accesseur nbEffetTour.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getNom--">getNom</a></span>()</code>
<div class="block">Accesseur du nom de la carte.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getNum--">getNum</a></span>()</code>
<div class="block">Accesseur num.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getPlusMoinsArgent--">getPlusMoinsArgent</a></span>()</code>
<div class="block">Accesseur plusMoinsArgent.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getPlusMoinsCase--">getPlusMoinsCase</a></span>()</code>
<div class="block">Accesseur plusMoinsCase.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getProbabilite--">getProbabilite</a></span>()</code>
<div class="block">Accesseur plusMoinsArgent.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getSalle--">getSalle</a></span>()</code>
<div class="block">Accesseur de Salle.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getTempsTour--">getTempsTour</a></span>()</code>
<div class="block">Accesseur tempsTour.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#getTexte--">getTexte</a></span>()</code>
<div class="block">Accesseur texte.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isChoix--">isChoix</a></span>()</code>
<div class="block">Accesseur choix.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isConservee--">isConservee</a></span>()</code>
<div class="block">Accesseur conservee.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isEnvoieVersCase--">isEnvoieVersCase</a></span>()</code>
<div class="block">Accesseur envoieVersCase.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isImpactAchatMateriel--">isImpactAchatMateriel</a></span>()</code>
<div class="block">Accesseur impactAchatMateriel.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isImpactPayementLoyer--">isImpactPayementLoyer</a></span>()</code>
<div class="block">Accesseur impactPayementLoyer.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isImpactProAchat--">isImpactProAchat</a></span>()</code>
<div class="block">Accesseur impactProAchat.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isImpactProTour--">isImpactProTour</a></span>()</code>
<div class="block">Accesseur impactProTour.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isImpactTousLesJoueurs--">isImpactTousLesJoueurs</a></span>()</code>
<div class="block">Accesseur impactTousLesJoueurs.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#isSautTour--">isSautTour</a></span>()</code>
<div class="block">Accesseur sautTour.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#setNbEffetTour-int-">setNbEffetTour</a></span>(int&nbsp;nbEffetTour)</code>
<div class="block">Setter du nombre de tours ou la carte fait effet.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#setNom-java.lang.String-">setNom</a></span>(java.lang.String&nbsp;nom)</code>
<div class="block">Setter du nom de la carte.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#setPlusMoinsArgent-int-">setPlusMoinsArgent</a></span>(int&nbsp;plusMoinsArgent)</code>
<div class="block">Setter de la variable +/- argent.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#setPlusMoinsCase-int-">setPlusMoinsCase</a></span>(int&nbsp;plusMoinsCase)</code>
<div class="block">Setter de plusMoinsCase.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#setSalle-java.lang.String-">setSalle</a></span>(java.lang.String&nbsp;salle)</code>
<div class="block">Setter de la salle de la carte.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#setTexte-java.lang.String-">setTexte</a></span>(java.lang.String&nbsp;texte)</code>
<div class="block">Setter du texte de la carte chance.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CarteChance.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CarteChance--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CarteChance</h4>
<pre>public&nbsp;CarteChance()</pre>
<div class="block">Constructeur de la carte chance.
 La premiere carte chance initialise la variable de classe nbCarte.
 Le constructeur récupère une carte aléatoirement dans le fichier csvn en notant que moins une carte est tirée, plus elle a de chance d'être piochée.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNbCarte--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbCarte</h4>
<pre>public static&nbsp;int&nbsp;getNbCarte()</pre>
<div class="block">Accesseur nbCarte.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le nombre total de carte du jeu.</dd>
</dl>
</li>
</ul>
<a name="getNum--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNum</h4>
<pre>public&nbsp;int&nbsp;getNum()</pre>
<div class="block">Accesseur num.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>L'identifiant de la carte.</dd>
</dl>
</li>
</ul>
<a name="getTexte--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTexte</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTexte()</pre>
<div class="block">Accesseur texte.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le descriptif de la carte.</dd>
</dl>
</li>
</ul>
<a name="isConservee--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConservee</h4>
<pre>public&nbsp;boolean&nbsp;isConservee()</pre>
<div class="block">Accesseur conservee.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si il faut conservee la carte.</dd>
</dl>
</li>
</ul>
<a name="isImpactProTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isImpactProTour</h4>
<pre>public&nbsp;boolean&nbsp;isImpactProTour()</pre>
<div class="block">Accesseur impactProTour.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si l'effet impact le prochain tour.</dd>
</dl>
</li>
</ul>
<a name="getPlusMoinsArgent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlusMoinsArgent</h4>
<pre>public&nbsp;int&nbsp;getPlusMoinsArgent()</pre>
<div class="block">Accesseur plusMoinsArgent.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>L'argent que doit recevoir/debourser le joueur.</dd>
</dl>
</li>
</ul>
<a name="getNbEffetTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbEffetTour</h4>
<pre>public&nbsp;int&nbsp;getNbEffetTour()</pre>
<div class="block">Accesseur nbEffetTour.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le nombre de tour sur lesquelles l'effet s'appliquera.</dd>
</dl>
</li>
</ul>
<a name="getPlusMoinsCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlusMoinsCase</h4>
<pre>public&nbsp;int&nbsp;getPlusMoinsCase()</pre>
<div class="block">Accesseur plusMoinsCase.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le nombre de case que le joueur doit parcourir.</dd>
</dl>
</li>
</ul>
<a name="getNom--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNom</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNom()</pre>
<div class="block">Accesseur du nom de la carte.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le nom de la carte.</dd>
</dl>
</li>
</ul>
<a name="setNom-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNom</h4>
<pre>public&nbsp;void&nbsp;setNom(java.lang.String&nbsp;nom)</pre>
<div class="block">Setter du nom de la carte.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Nouveau nom de la carte.</dd>
</dl>
</li>
</ul>
<a name="isSautTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSautTour</h4>
<pre>public&nbsp;boolean&nbsp;isSautTour()</pre>
<div class="block">Accesseur sautTour.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si le joueur doit sauter son tour.</dd>
</dl>
</li>
</ul>
<a name="isChoix--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isChoix</h4>
<pre>public&nbsp;boolean&nbsp;isChoix()</pre>
<div class="block">Accesseur choix.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si le joueur a un choix.</dd>
</dl>
</li>
</ul>
<a name="getTempsTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTempsTour</h4>
<pre>public&nbsp;int&nbsp;getTempsTour()</pre>
<div class="block">Accesseur tempsTour.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le temps du tour.</dd>
</dl>
</li>
</ul>
<a name="isEnvoieVersCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnvoieVersCase</h4>
<pre>public&nbsp;boolean&nbsp;isEnvoieVersCase()</pre>
<div class="block">Accesseur envoieVersCase.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si le joueur se rend à une case.</dd>
</dl>
</li>
</ul>
<a name="isImpactProAchat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isImpactProAchat</h4>
<pre>public&nbsp;boolean&nbsp;isImpactProAchat()</pre>
<div class="block">Accesseur impactProAchat.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si l'effet impact le prochain achat.</dd>
</dl>
</li>
</ul>
<a name="isImpactPayementLoyer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isImpactPayementLoyer</h4>
<pre>public&nbsp;boolean&nbsp;isImpactPayementLoyer()</pre>
<div class="block">Accesseur impactPayementLoyer.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si l'effet impact le prochain payement du loyer.</dd>
</dl>
</li>
</ul>
<a name="isImpactAchatMateriel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isImpactAchatMateriel</h4>
<pre>public&nbsp;boolean&nbsp;isImpactAchatMateriel()</pre>
<div class="block">Accesseur impactAchatMateriel.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si l'effet impact l'achat d'un prochain materiel.</dd>
</dl>
</li>
</ul>
<a name="isImpactTousLesJoueurs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isImpactTousLesJoueurs</h4>
<pre>public&nbsp;boolean&nbsp;isImpactTousLesJoueurs()</pre>
<div class="block">Accesseur impactTousLesJoueurs.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si l'effet impact tous les joueurs.</dd>
</dl>
</li>
</ul>
<a name="getProbabilite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProbabilite</h4>
<pre>public&nbsp;int&nbsp;getProbabilite()</pre>
<div class="block">Accesseur plusMoinsArgent.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>L'argent que doit recevoir/debourser le joueur.</dd>
</dl>
</li>
</ul>
<a name="getSalle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSalle</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSalle()</pre>
<div class="block">Accesseur de Salle.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>La salle.</dd>
</dl>
</li>
</ul>
<a name="setSalle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSalle</h4>
<pre>public&nbsp;void&nbsp;setSalle(java.lang.String&nbsp;salle)</pre>
<div class="block">Setter de la salle de la carte.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>salle</code> - Nouvelle salle de la carte.</dd>
</dl>
</li>
</ul>
<a name="setPlusMoinsArgent-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlusMoinsArgent</h4>
<pre>public&nbsp;void&nbsp;setPlusMoinsArgent(int&nbsp;plusMoinsArgent)</pre>
<div class="block">Setter de la variable +/- argent.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>plusMoinsArgent</code> - Nouvelle valeur d'argent de la carte.</dd>
</dl>
</li>
</ul>
<a name="setTexte-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTexte</h4>
<pre>public&nbsp;void&nbsp;setTexte(java.lang.String&nbsp;texte)</pre>
<div class="block">Setter du texte de la carte chance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>texte</code> - Texte de la carte chance</dd>
</dl>
</li>
</ul>
<a name="setNbEffetTour-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbEffetTour</h4>
<pre>public&nbsp;void&nbsp;setNbEffetTour(int&nbsp;nbEffetTour)</pre>
<div class="block">Setter du nombre de tours ou la carte fait effet.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbEffetTour</code> - Nouveau nombre de tour.</dd>
</dl>
</li>
</ul>
<a name="setPlusMoinsCase-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlusMoinsCase</h4>
<pre>public&nbsp;void&nbsp;setPlusMoinsCase(int&nbsp;plusMoinsCase)</pre>
<div class="block">Setter de plusMoinsCase.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>plusMoinsCase</code> - Nouvelle valeur de plusMoinsCase.</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CarteChance.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../back/Case.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/CarteChance.html" target="_top">Frames</a></li>
<li><a href="CarteChance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
